This is 0.29 v0.29
authorVincent Pit <perl@profvince.com>
Mon, 6 Jun 2016 12:00:34 +0000 (14:00 +0200)
committerVincent Pit <perl@profvince.com>
Mon, 6 Jun 2016 12:00:34 +0000 (14:00 +0200)
Changes
META.json
META.yml
README
lib/Scope/Upper.pm

diff --git a/Changes b/Changes
index d05b228..6b47c77 100644 (file)
--- a/Changes
+++ b/Changes
@@ -1,5 +1,14 @@
 Revision history for Scope-Upper
 
+0.29    2016-06-06 12:00 UTC
+        + Chg : A large chunk of boilerplate XS code, which is also used in
+                other XS modules, has been factored out of the main .xs file
+                to a collection of .h files in the xsh subdirectory.
+        + Fix : [RT #112246] : Blead breaks Scope::Upper
+                Dave Mitchell provided a new implementation of reap(),
+                localize_*() and uplevel() to match the new context stack
+                handling in perl 5.24. Many thanks to him.
+
 0.28    2015-08-18 15:00 UTC
         + Chg : SUB() and EVAL() will now warn if they cannot find an
                 appropriate context in the current stack. They will still
index 7c6767d..89587ef 100644 (file)
--- a/META.json
+++ b/META.json
@@ -4,7 +4,7 @@
       "Vincent Pit <perl@profvince.com>"
    ],
    "dynamic_config" : 1,
-   "generated_by" : "ExtUtils::MakeMaker version 7.0401, CPAN::Meta::Converter version 2.150005",
+   "generated_by" : "ExtUtils::MakeMaker version 7.18, CPAN::Meta::Converter version 2.150005",
    "license" : [
       "perl_5"
    ],
@@ -59,6 +59,6 @@
          "url" : "http://git.profvince.com/?p=perl%2Fmodules%2FScope-Upper.git"
       }
    },
-   "version" : "0.28",
-   "x_serialization_backend" : "JSON::PP version 2.27300"
+   "version" : "0.29",
+   "x_serialization_backend" : "JSON::PP version 2.27400"
 }
index c8cb99c..bf17cec 100644 (file)
--- a/META.yml
+++ b/META.yml
@@ -14,7 +14,7 @@ configure_requires:
   Config: '0'
   ExtUtils::MakeMaker: '0'
 dynamic_config: 1
-generated_by: 'ExtUtils::MakeMaker version 7.0401, CPAN::Meta::Converter version 2.150005'
+generated_by: 'ExtUtils::MakeMaker version 7.18, CPAN::Meta::Converter version 2.150005'
 license: perl
 meta-spec:
   url: http://module-build.sourceforge.net/META-spec-v1.4.html
@@ -34,5 +34,5 @@ resources:
   homepage: http://search.cpan.org/dist/Scope-Upper/
   license: http://dev.perl.org/licenses/
   repository: http://git.profvince.com/?p=perl%2Fmodules%2FScope-Upper.git
-version: '0.28'
-x_serialization_backend: 'CPAN::Meta::YAML version 0.016'
+version: '0.29'
+x_serialization_backend: 'CPAN::Meta::YAML version 0.018'
diff --git a/README b/README
index 5221b5a..7985654 100644 (file)
--- a/README
+++ b/README
@@ -2,7 +2,7 @@ NAME
     Scope::Upper - Act on upper scopes.
 
 VERSION
-    Version 0.28
+    Version 0.29
 
 SYNOPSIS
     "reap", "localize", "localize_elem", "localize_delete" and "WORDS" :
@@ -816,10 +816,14 @@ SUPPORT
 ACKNOWLEDGEMENTS
     Inspired by Ricardo Signes.
 
+    The reimplementation of a large part of this module for perl 5.24 was
+    provided by David Mitchell. His work was sponsored by the Perl 5 Core
+    Maintenance Grant from The Perl Foundation.
+
     Thanks to Shawn M. Moore for motivation.
 
 COPYRIGHT & LICENSE
-    Copyright 2008,2009,2010,2011,2012,2013,2014,2015 Vincent Pit, all
+    Copyright 2008,2009,2010,2011,2012,2013,2014,2015,2016 Vincent Pit, all
     rights reserved.
 
     This program is free software; you can redistribute it and/or modify it
index 0989f6c..62ba1fb 100644 (file)
@@ -11,13 +11,13 @@ Scope::Upper - Act on upper scopes.
 
 =head1 VERSION
 
-Version 0.28
+Version 0.29
 
 =cut
 
 our $VERSION;
 BEGIN {
- $VERSION = '0.28';
+ $VERSION = '0.29';
 }
 
 =head1 SYNOPSIS